Severity: critical

Description

we need to define and fix the names for the cdm products, currently there is a big variety in inconsistency in the names.
Here is the list of products:

e CDM Library: CDM Library

CDM Store: CDM Store (only for the database and direct access to the database itself)

CDM Server: CDM Server (for the API that communicates with the outside)

CDM DataPortal: CDM DataPortal

* Taxonomic-Editer => "TaxEditor" or "Taxonomic Editor" if long form is needed.

UTIS: UTIS

EDIT Platform: EDIT Platform (for the platform in generel)

CDM: CDM (only in technical context and only for questions refering to the data model)

EDIT MapService

Related issues:
Related to EDIT - task #9744: Find suitable name for the Freetext- or Name-Ed... Closed

History

#1 - 03/04/2010 03:14 PM - Andreas Kohlbecker
- Subject changed from CDM product names to DISCUSS - CDM product names

#2 - 01/10/2011 11:03 AM - Andreas Miiller
- Priority changed from Priority08 to Priority14

#3 - 09/08/2016 09:48 PM - Andreas Miiller
- Description updated

- Target version changed from 75 to Update Documentation

#4 - 09/20/2016 03:41 PM - Walter Berendsohn

Taxonomic Editor:

For the Documentation, | had changed the designation "EDITor" to "TaxEditor. However, in the user interface the designation "Taxonomic Editor" is
used, for example:

Taxonomic Editor Nightly, Taxonomic Editor Stable, Preferences -> Taxonomic Editor. It's also used as the target folder in the download .zip-file.

| prefer the shorter form.

#5 - 09/20/2016 03:45 PM - Walter Berendsohn

CDM Data Portal:
In the documentation, | just use data portal to refer to the connected Drupal instance as a whole (including additional pages). | think we should restrict
the use of the CDM prefix to the more tecnical parts of the Platform, i.e. CDM library and CDM store.

#6 - 03/11/2022 05:07 PM - Andreas Miiller

- Tracker changed from task to discussion

- Description updated

- Due date set to 03/22/2022

- Category changed from cdm to documentation

- Status changed from New to In Progress

- Assignee changed from Katja Luther to Andreas Mdiller

- Priority changed from Priority14 to Highest

- Target version changed from Update Documentation to Release 5.31

- Start date set to 03/11/2022

Before updating the documentations during the next weeks we should agree on common labels and how to write (e.g. CDM DataPortal in camel case,
with space, ...).

Decision is done for TaxEditor (TODO link to ticket).

CDM Library: | suggest to keep as such. (WGB: OK)

CDM DataPortal: | suggest to keep as such as we also use camel case for TaxEditor, so in general we do not avoid camel case. (WGB: OK)

CDM Store: | suggest to use CDM Server. (WGB: In presentations | used the CDM Store more or less analogous to what we now call “database” in
the user documentation: The lowest level, on top of which sits the CDM library, which serves API and Services communicating with the outside
(Portal, TaxEditor). All that together I'd call CDM Server.

| suggest to stick to CDM Store for the database (and direct database access layer) in more technical presentations, and simply use Database for
user documentation. )

Any other suggestions?

Did we miss any (new) products?
UTIS? (should stay UTIS or any other suggestsion?)

EDIT Platform?

When to use "EDIT" or "EDIT Platform" and when to use "CDM"? (WGB: I'd use CDM only in more technical contexts, and only in questions that refer
to the data model.)

EDIT MapService?

#7 - 03/11/2022 05:07 PM - Andreas Miiller

This is a bit urgent as we want to work on documentation during the next weeks

#8 - 03/11/2022 05:09 PM - Andreas Miiller
- % Done changed from 0 to 10

#9 - 03/14/2022 12:01 PM - Andreas Miiller
- Description updated
- % Done changed from 10 to 30

#10 - 03/14/2022 12:36 PM - Andreas Miiller

AM: Falls es zu diesem Thema noch Anderungswiinsche von jemandem gibt, wére es schén, wenn diese bis spatestens Freitag (18.3.) vorliegen, da
wir dann néachste Woche mit dem Update der Dokumentation beginnen wollen.

#11 - 03/16/2022 09:28 AM - Andreas Miiller
- % Done changed from 30 to 60

#12 - 03/21/2022 11:20 PM - Andreas Miiller
- Related to task #9744: Find suitable name for the Freetext- or Name-Editor added

#13 - 03/21/2022 11:22 PM - Andreas Miiller

- Status changed from In Progress to Closed
- % Done changed from 60 to 100

Discussion is closed. | moved the results also to #PlatformComponents

#14 - 03/22/2022 01:58 PM - Andreas Miiller

- Private changed from Yes to No
